| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::tracking::TrackerStateEstimatorAdaBoosting::TrackerAdaBoostingTargetState Class Reference

Implementation of the target state for TrackerAdaBoostingTargetState. More...

`#include <opencv2/tracking/tracking_internals.hpp>`

Collaboration diagram for cv::detail::tracking::TrackerStateEstimatorAdaBoosting::TrackerAdaBoostingTargetState:

## Public Member Functions
| TrackerAdaBoostingTargetState (const Point2f &position, int width, int height, bool foreground, const Mat &responses)
| Constructor.
| ~TrackerAdaBoostingTargetState ()
| Destructor.
Mat | getTargetResponses () const
| Get the features extracted.
bool | isTargetFg () const
| Get the label. Return true for target foreground, false for background.
void | setTargetFg (bool foreground)
| Set label: true for target foreground, false for background.
void | setTargetResponses (const Mat &responses)
| Set the features extracted from TrackerContribFeatureSet.
Public Member Functions inherited from cv::detail::tracking::TrackerTargetState
virtual | ~TrackerTargetState ()
int | getTargetHeight () const
| Get the height of the target.
Point2f | getTargetPosition () const
| Get the position.
int | getTargetWidth () const
| Get the width of the target.
void | setTargetHeight (int height)
| Set the height of the target.
void | setTargetPosition (const Point2f &position)
| Set the position.
void | setTargetWidth (int width)
| Set the width of the target.

## Additional Inherited Members
Protected Attributes inherited from cv::detail::tracking::TrackerTargetState
int | targetHeight
Point2f | targetPosition
int | targetWidth

## Detailed Description

Implementation of the target state for TrackerAdaBoostingTargetState.

## Constructor & Destructor Documentation

## ◆ TrackerAdaBoostingTargetState()

cv::detail::tracking::TrackerStateEstimatorAdaBoosting::TrackerAdaBoostingTargetState::TrackerAdaBoostingTargetState | ( | const Point2f & | position,
|  | int | width,
|  | int | height,
|  | bool | foreground,
|  | const Mat & | responses )

Constructor.

Parameters

  position | Top left corner of the bounding box
  width | Width of the bounding box
  height | Height of the bounding box
  foreground | label for target or background
  responses | list of features

## ◆ ~TrackerAdaBoostingTargetState()

cv::detail::tracking::TrackerStateEstimatorAdaBoosting::TrackerAdaBoostingTargetState::~TrackerAdaBoostingTargetState | ( |  | ) |
| inline

Destructor.

## Member Function Documentation

## ◆ getTargetResponses()

Mat cv::detail::tracking::TrackerStateEstimatorAdaBoosting::TrackerAdaBoostingTargetState::getTargetResponses | ( |  | ) | const

Get the features extracted.

## ◆ isTargetFg()

bool cv::detail::tracking::TrackerStateEstimatorAdaBoosting::TrackerAdaBoostingTargetState::isTargetFg | ( |  | ) | const

Get the label. Return true for target foreground, false for background.

## ◆ setTargetFg()

void cv::detail::tracking::TrackerStateEstimatorAdaBoosting::TrackerAdaBoostingTargetState::setTargetFg | ( | bool | foreground | ) |

Set label: true for target foreground, false for background.

Parameters

  foreground | Label for background/foreground

## ◆ setTargetResponses()

void cv::detail::tracking::TrackerStateEstimatorAdaBoosting::TrackerAdaBoostingTargetState::setTargetResponses | ( | const Mat & | responses | ) |

Set the features extracted from TrackerContribFeatureSet.

Parameters

  responses | The features extracted

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_internals.hpp